Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common
Interface WhoAmI

All Known Implementing Classes:
  ConduitID, IAmNobody, WhoAmISimple

    public interface WhoAmI

An identification object interface.

Version:
  1.0

  Version History

      EPG - Initial - 18 NOV 02

Author:
  Erich P. Gatejen

Method Summary
`WhoAmI` | `birthMyChild(java.lang.String childsName)` Create a child ID using the given name.
`WhoAmI` | `birthMyChild(java.lang.String childsName, java.lang.String childsTag)` Create a child ID using the given name and tag.
`java.lang.String` | `toString()` Give a textual ID.
`java.lang.String` | `toTag()` Give a TAG version of the ID.

Method Detail

### toString

    java.lang.String toString()

  Give a textual ID.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the textual representation of the ID.

### toTag

    java.lang.String toTag()

  Give a TAG version of the ID. This cannot be used for positive ID, but may make a convenient mnemonic. An implementation may return the same value as toString().

  Returns:
    the tag representation of the ID.

### birthMyChild

    WhoAmI birthMyChild(java.lang.String childsName)

  Create a child ID using the given name. It must yield the same ID if the same value is used for childsName.

  Parameters:
    `childsName` - the given name for the child.
  Returns:
    the id

### birthMyChild

    WhoAmI birthMyChild(java.lang.String childsName,
                        java.lang.String childsTag)

  Create a child ID using the given name and tag. It must yield the same ID if the same value is used for childsName.

  Parameters:
    `childsName` - the given name for the child.
    `childsTag` - the tag for the child.
  Returns:
    the id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.